Lists Schemas in a given project and location.
HTTP request
GET https://firebasedataconnect.googleapis.com/v1/{parent=projects/*/locations/*/services/*}/schemas
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Value of parent. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
filter |
Optional. Filtering results. |
orderBy |
Optional. Hint for how to order the results. |
Request body
The request body must be empty.
Response body
Message for response to listing Schemas.
By default, schemas.source will not be included in the response. To specify the fields included in the response, the response field mask can be provided by using the query parameter $fields or the header X-Goog-FieldMask.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"schemas": [
{
object ( |
| Fields | |
|---|---|
schemas[] |
The list of Schemas. |
nextPageToken |
A token, which can be sent as |
unreachable[] |
Locations that could not be reached. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the OAuth 2.0 Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
firebasedataconnect.schemas.list
For more information, see the IAM documentation.